next-server in dhcp.conf should be configurable via foreman-installer
10/14/2016 09:55 AM - Jan-Otto Kroépke

Status: Closed

Priority: Normal

Assignee: Jan-Otto Kropke

Category: Foreman modules

Target version: 1.14.0

Difficulty: Fixed in Releases:

Triaged: Found in Releases:

Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for
eman_proxy/pull/312

Description

Hi,

we have multiple dhcp server and one tftp server. By default. new hosts will connect tftp to the dhcp server, not to the central tftp
server.

# PXE Handoff.
next-server <central tftp server>;

Best Regards,
Jan-Otto Kroépke

Associated revisions

Revision cad1c72d - 12/02/2016 03:26 AM - Jan-Otto Krépke
Fixes #16942 - Added param dhcp_pxeserver

Closes GH-312

History

#1 - 10/14/2016 10:01 AM - Dominic Cleal
- Category set to Foreman modules

- translation missing: en.field_release deleted (190)

The dhcp module already exposes this parameter, and it can already be partly overridden (to interfaces of the DHCP server installed with
foreman_proxy) by changing the foreman-proxy-dhcp-interface setting.

However when using Foreman, the :tftp_servername smart proxy setting is used to determine the next-server value for DHCP reservations created by
Foreman, overriding this setting.

Please don't set the (target) release field.

#2 - 10/14/2016 11:24 AM - Jan-Otto Kropke
Hi,

DHCP reservations created by Foreman, overriding this setting.

| want to use Foreman discover for new bare metal. The IP that | want to configure is not an Interface IP of the DHCP server.

Best Regards,
Jan-Otto Kropke

#3 - 12/01/2016 05:52 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/312 added

#4 - 12/02/2016 04:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman_proxy|cad1c72d4f9c6cecf852b967c9ebff1cc9albi7e.

#5 - 12/05/2016 03:20 AM - Dominic Cleal
- Assignee set to Jan-Otto Krépke

- translation missing: en.field_release set to 189
